---
title: "Add Channel Leader"
slug: "add-channel-leader"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-channel-leader"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add Channel Leader
Post/api/v1/channels.addLeader
Assign the role of `leader` to a channel member. See [Room Roles](https://docs.rocket.chat/docs/room-roles) for details about the roles.
Permission required: `set-leader`
### Changelog
| Version | Description |
| --- | --- |
| 0.75.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "WDuJLFkjwk6L7LdFC",
"userId": "b66oZ8i9pkeSko33v"
}
```
object roomIdstring Required
The channel ID.
userIdstring Required
The ID of the user to be made leader.
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
User is a leader
```json
{
"success": false,
"error": "User is already a leader [error-user-already-leader]",
"errorType": "error-user-already-leader"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring